<?xml version="1.0" encoding="UTF_8"?>
    <SensorHalCap>
        <tag key="HAL_CUSTOM_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value type="string2Enum">CAMERA_FORMAT_STANDARD_RAW16</value>
            <value>4160</value>
            <value>3120</value>
            <value type="string2Enum">CAMERA_SCALER_AVAILABLE_STREAM_CONFIGURATIONS_OUTPUT</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_INFO_PIXEL_ARRAY_SIZE" type="int32_t">
            <value>4160</value>
            <value>3120</value>
        </tag>
        <tag key="HAL_CUSTOM_BIG_APERTURE_SUPPORTED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_REDMAP_ACTIVE_ARRAY_SIZE" type="int32_t">
            <value>960</value>
            <value>540</value>
            <value>720</value>
            <value>540</value>
            <value>540</value>
            <value>540</value>
            <value>1280</value>
            <value>720</value>
            <value>960</value>
            <value>720</value>
            <value>720</value>
            <value>720</value>
        </tag>
        <tag key="HAL_CUSTOM_DMAP_DENSE_MAX_ACTIVE_SIZE" type="int32_t">
            <value>960</value>
            <value>540</value>
        </tag>
        <tag key="HAL_CUSTOM_DMAP_CAMERA_ALGORITHM_ALIGN_LIMITED" type="uint8_t">
            <value>1</value>
        </tag>
        <tag key="HAL_PRIVATE_DMAP_SCENE_SUPPORT_LIST" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE_VIDEO</value>
        </tag>
        <tag key="HAL_CUSTOM_OPTICAL_ZOOM_THRESHOLD" type="uint8_t">
            <value>10</value>
            <value>5</value>
        </tag>
        <tag key="HAL_PRIVATE_CAMERA_RESOLUTION_FOR_OPTIMIZED_EIS" type="int32_t">
            <value type="string2Enum">LOGICAL_ID_FIRST_CAMERA</value>
            <value>4160</value>
            <value>2336</value>
            <value type="string2Enum">LOGICAL_ID_SECOND_CAMERA</value>
            <value>3264</value>
            <value>1840</value>
        </tag>
        <tag key="HAL_CUSTOM_FOV_RATIO_VALUES" type="float">
            <value>1.0</value>
            <value>0.49</value>
            <value>4.63</value>
        </tag>
        <tag key="HAL_PRIVATE_DCM_SUPPORTED_SCENES" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_BURST</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
        </tag>
        <tag key="HAL_PRIVATE_DCM_SUPPORTED_NEED_WIDE_SCENES" type="int32_t">
            <value type="string2Enum">CAMERA_PRIVATE_SM_BURST</value>
            <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
        </tag>
        <tag key="HAL_PRIVATE_DCM_SUPPORTED_DMAP_RESOLUTION" type="uint32_t">
            <!-- 4:3 -->
            <value>720</value>
            <value>540</value>
            <!-- 1:1 -->
            <value>608</value>
            <value>540</value>
            <!-- 16:9 -->
            <value>768</value>
            <value>432</value>
            <!-- full screen -->
            <value>736</value>
            <value>320</value>
        </tag>
    </SensorHalCap>
